OGRE: Ogre::SimplePageContentCollection Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Attributes | List of all members
Ogre::SimplePageContentCollection Class Reference
Components

Specialisation of PageContentCollection which just provides a simple list of PageContent instances. More...

`#include <OgreSimplePageContentCollection.h>`

Inheritance diagram for Ogre::SimplePageContentCollection:
[legend]

## Public Types
typedef vector< PageContent * >::type | ContentList

## Public Member Functions
| SimplePageContentCollection (PageContentCollectionFactory *creator)
| ~SimplePageContentCollection ()
virtual void | _notifyAttached (Page *parent)
| Internal method to notify a collection that it is attached. More...
virtual PageContent * | createContent (const String &typeName)
| Create a new PageContent within this collection. More...
virtual void | destroyContent (PageContent *coll)
| Destroy a PageContent within this page. More...
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends. More...
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts. More...
virtual const ContentList & | getContentList () const
| Get const access to the list of content. More...
PageManager * | getManager () const
Page * | getParentPage () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the collection, which will match it's factory. More...
void | load ()
| Load - will be called in main thread. More...
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
bool | prepare (StreamSerialiser &stream)
| Prepare data - may be called in the background. More...
virtual void | save (StreamSerialiser &stream)
| Save the collection to a stream. More...
void | unload ()
| Unload - will be called in main thread. More...
void | unprepare ()
| Unprepare data - may be called in the background. More...

## Static Public Attributes
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION
static const uint32 | SUBCLASS_CHUNK_ID
static const uint16 | SUBCLASS_CHUNK_VERSION

## Detailed Description

Specialisation of PageContentCollection which just provides a simple list of PageContent instances.

  The data format for this in a file is:
  SimplePageContentCollectionData (Identifier 'SPCD')
  [Version 1]

  Name | Type | Description
  Nested contents | Nested chunk list | A sequence of nested PageContent chunks

## Member Function Documentation

## ◆ _notifyAttached()

virtual void Ogre::PageContentCollection::_notifyAttached | ( | Page * | parent | ) |
| virtualinherited

Internal method to notify a collection that it is attached.

## ◆ getManager()

PageManager* Ogre::PageContentCollection::getManager | ( |  | ) | const
| inherited

## ◆ getParentPage()

Page* Ogre::PageContentCollection::getParentPage | ( |  | ) | const
| inlineinherited

## ◆ getSceneManager()

SceneManager* Ogre::PageContentCollection::getSceneManager | ( |  | ) | const
| inherited

## ◆ getType()

virtual const String& Ogre::PageContentCollection::getType | ( |  | ) | const
| virtualinherited

Get the type of the collection, which will match it's factory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ CHUNK_ID

const uint32 Ogre::PageContentCollection::CHUNK_ID
| staticinherited

## ◆ CHUNK_VERSION

const uint16 Ogre::PageContentCollection::CHUNK_VERSION
| staticinherited

The documentation for this class was generated from the following file:

- OgreSimplePageContentCollection.h